com.jscape.inet.mft.management.descriptors

## Class LogConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.LogConfiguration

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class LogConfiguration
      extends Configuration

  Log settings descriptor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogConfiguration()` Creates new instance.
    `LogConfiguration(int maxBufferRecords)` Creates a new configuration instance.
    `LogConfiguration(LogConfiguration that)` Creates new instance from existing instance.
    `LogConfiguration(LogConfiguration that, java.util.Map options)` Creates new instance from existing instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `int` | `getMaxBufferRecords()` Returns max buffer records value.
    `void` | `setMaxBufferRecords(int value)` Sets max buffer records value.
    `void` | `setVerbose(boolean value)` Sets whether verbose logging is enabled.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogConfiguration

          public LogConfiguration(int maxBufferRecords)

      Creates a new configuration instance.
      Parameters:
        `maxBufferRecords` - max buffer records

    - #### LogConfiguration

          public LogConfiguration(LogConfiguration that)

      Creates new instance from existing instance.
      Parameters:
        `that` - existing instance

    - #### LogConfiguration

          public LogConfiguration(LogConfiguration that,
                                  java.util.Map options)

      Creates new instance from existing instance.
      Parameters:
        `that` - existing instance
        `options` - logging options

    - #### LogConfiguration

          public LogConfiguration()

      Creates new instance.

  - ### Method Detail

    - #### getMaxBufferRecords

          public int getMaxBufferRecords()

      Returns max buffer records value.
      Returns:
        max buffer records value

    - #### setMaxBufferRecords

          public void setMaxBufferRecords(int value)

      Sets max buffer records value.
      Parameters:
        `value` - max buffer records value

    - #### setVerbose

          public void setVerbose(boolean value)

      Sets whether verbose logging is enabled.
      Parameters:
        `value` - true if enabled, false otherwise

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved